pycharm配置python解释器的问题

首先给大家推荐一下我老师大神的人工智能教学网站。教学不仅零基础,通俗易懂,而且非常风趣幽默,还时不时有内涵黄段子!点这里可以跳转到网站

在这里选择使用哪个版本的interpreter:

下拉框里选择show all可以看见目前已有的

点击添加按钮:

可以选择system interpreter:

里面有所有现在电脑里安装的python,usr/bin/python和system目录下的是电脑自带的,usr/local/bin/python3是自己安装的。自己安装的python3是最底下的那个,这里usr下的,我理解为,是一种映射。usr/local/bin/python3是/Library路径下的python3的映射。因为我试了一下,在命令行添加了xlrd模块后,在pychram里用usr下的python3,也会出现xlrd模块。

可以选择virtualenv Environment,这个是为了安全考虑。新建一个虚拟环境,以系统的python作为base interpreter,继承过来。放在一个新的location。这样某个工程用这个新的虚拟环境,添加什么模块,做一些配置什么的不影响系统的interpreter。

如图所示:location选择这个新的虚拟环境放在那里,一般默认为当前的project的目录,因为你设置新的虚拟环境,可能就是为了服务于这个project。然后是base interpreter。选择从哪个interpreter继承过来。也可以选择existing environment,就是说原来有设置过虚拟环境,现在又有一个project,也许可以重新复用以前的某个project的虚拟环境,他们的配置差不多,就可以继续使用它的。

点这里可以跳转到人工智能网站

发表评论